View Issue Details

IDProjectCategoryView StatusLast Update
0002034Far ManagerSettingspublic2013-04-11 01:00
ReporterJohnDoeAssigned To2useven10 
PrioritynormalSeverityminorReproducibilityalways
Status closedResolutionfixed 
Platformx86OSWindowsOS VersionXP SP2
Product Version3.0 
Target VersionFixed in Version3.0 
Summary0002034: Far не сообщает об ошибках возникающих при работе с базой данных
Description1. При грубом повреждении любой базы - фар молча создаёт новую, не делая копии, не информируя пользователя, и не спрашивая его.

2. При ошибке в структуре базы (база от старой версии) фар молча не сохраняет данные.
Steps To Reproduce1. Грубо отредактировать.
2. Во вложении файл от 2459
TagsNo tags attached.
Build2509

Activities

JohnDoe

2012-02-28 19:33

updater  

macros.db (11,264 bytes)

2useven10

2012-02-28 20:16

developer   bugnote:0008649

imho достаточно сделать отложенную диагностику. т.е. текущее поведение при обнаружении проблем с конфигурацией оставить, но все обнаруженные ошибки зафиксировать и показать юзеру после того, как инициализация закончится.

DrKnS

2012-02-29 01:18

administrator   bugnote:0008650

> создаёт новую, не делая копии

да неужели?

JohnDoe

2012-02-29 01:56

updater   bugnote:0008651

Last edited: 2012-02-29 01:59

View 2 revisions

ах да, *.db.bad
Вероятно drkns 24.10.2011 12:05:37 +0300 - build 2247

2useven10

2012-03-01 02:28

developer   bugnote:0008652

2504
просто показываются имена баз, которые открыты с проблемами.
(только те, которые открываются в InitDb)

JohnDoe

2012-03-01 14:38

updater   bugnote:0008654

При импорте/экспорте тоже надо бы сообщать.
И текст посодержательнее, сообщить о том что ошибочные файлы сохранены там-то под такими-то именами, а вместо них созданы чистые.

Можно отрыть папку профиля в панели.

2useven10

2012-03-01 14:51

developer   bugnote:0008655

Last edited: 2012-03-01 15:02

View 2 revisions

экспорт/импорт - разве что в stderr.
открыть панели в профайле - неплохая идея.
а городить громоздкий текст о переименовании, мне кажется лишнее. и так будет видно.

JohnDoe

2012-03-01 16:19

updater   bugnote:0008656

Last edited: 2012-03-01 16:21

View 2 revisions

Можно и в stderr, но наверно стоит паузу вставить.
...
Даже если не хочется громоздкий текст, всё равно надо упомянуть что дефектные копии сохранены.
А в справке расписать рекомендации.

2useven10

2012-03-01 17:33

developer   bugnote:0008657

2509

JohnDoe

2012-03-02 12:04

updater   bugnote:0008670

При экспорте выдаёт неопределённые "problem" и "renamed/reopened".
Надо бы конкретное: "problem with database detected:"
"macros.db saved as macros.db.bad and recreated"
И паузу (или ожидание ввода) обязательно, иначе никто не заметит.

И ещё: не по тикету, но всё же - путь к профилю хотелось бы видеть не только при ошибках, но и при любом импорте/экспорте.

alexy

2013-04-10 18:00

administrator   bugnote:0010711

что тут?

2useven10

2013-04-10 18:14

developer   bugnote:0010713

Всё сделано (кроме JohnDoe :)

JohnDoe

2013-04-10 20:13

updater   bugnote:0010718

Порчу один из файлов, например history.db
Запускаю фар:

Exception: Unknown exception (0xC0000005)
Address: 0x01369F30
Function: wmain
Module: C:\apps\3\Far.exe

При этом "плохой" файл молча переименовываетя в history.db.bad
И следующий запуск фара уже удаётся.

2useven10

2013-04-10 20:34

developer   bugnote:0010719

видимо файл портится так, что sqlite падает.
мне так не разу не удалось сделать.

JohnDoe

2013-04-10 20:39

updater  

history.db.bad (22,529 bytes)

JohnDoe

2013-04-10 20:40

updater   bugnote:0010721

Мне наоборот, ни разу не удалось испортить так, чтобы не упало.
Прилагаю пример history.db.bad

2useven10

2013-04-10 20:45

developer   bugnote:0010722

на примере тоже не упал.
far 3319 x86, xp x64

JohnDoe

2013-04-10 21:25

updater   bugnote:0010725

Обновился на nightly, удалил профиль, теперь не падает.
Осталась косметика.

1) Problem configuration DB
Видимо пропущен предлог with
И думаю лучше в заголовке выводить просто Error, а суть проблемы расписывать ниже.

2) Список файлов выравнивается по центру, это неудобно

3) Show configuration folders
Много текста для кнопки, достаточно Open in panels

4) Надо добавить информацию о том, что созданы новые файлы, а дефектные переименованы (это неочевидно, даже если открыть панель - с первого взляда не видно)

2useven10

2013-04-10 23:49

developer   bugnote:0010727

не вижу смысла выпиливать рюшечки лобзиком.
кто считает нужным - вэлкам...
патч от JohnDoe тоже сгодится.

JohnDoe

2013-04-10 23:56

updater   bugnote:0010728

Текст смогу, а патч увы нет.
Проблема заявленная в условиях решена, и по косметике можно открыть другой тикет.

Issue History

Date Modified Username Field Change
2012-02-28 19:33 JohnDoe New Issue
2012-02-28 19:33 JohnDoe File Added: macros.db
2012-02-28 20:16 2useven10 Note Added: 0008649
2012-02-29 01:18 DrKnS Note Added: 0008650
2012-02-29 01:56 JohnDoe Note Added: 0008651
2012-02-29 01:59 JohnDoe Note Edited: 0008651 View Revisions
2012-03-01 02:28 2useven10 Note Added: 0008652
2012-03-01 02:28 2useven10 Assigned To => 2useven10
2012-03-01 02:28 2useven10 Status new => feedback
2012-03-01 14:38 JohnDoe Note Added: 0008654
2012-03-01 14:38 JohnDoe Status feedback => assigned
2012-03-01 14:51 2useven10 Note Added: 0008655
2012-03-01 15:02 2useven10 Note Edited: 0008655 View Revisions
2012-03-01 16:19 JohnDoe Note Added: 0008656
2012-03-01 16:21 JohnDoe Note Edited: 0008656 View Revisions
2012-03-01 17:33 2useven10 Note Added: 0008657
2012-03-01 17:33 2useven10 Status assigned => feedback
2012-03-02 12:04 JohnDoe Note Added: 0008670
2012-03-02 12:04 JohnDoe Status feedback => assigned
2013-04-10 18:00 alexy Note Added: 0010711
2013-04-10 18:14 2useven10 Note Added: 0010713
2013-04-10 20:13 JohnDoe Note Added: 0010718
2013-04-10 20:34 2useven10 Note Added: 0010719
2013-04-10 20:39 JohnDoe File Added: history.db.bad
2013-04-10 20:40 JohnDoe Note Added: 0010721
2013-04-10 20:45 2useven10 Note Added: 0010722
2013-04-10 21:25 JohnDoe Note Added: 0010725
2013-04-10 23:49 2useven10 Note Added: 0010727
2013-04-10 23:56 JohnDoe Note Added: 0010728
2013-04-10 23:57 JohnDoe Status assigned => resolved
2013-04-11 01:00 2useven10 Build => 2509
2013-04-11 01:00 2useven10 Status resolved => closed
2013-04-11 01:00 2useven10 Resolution open => fixed
2013-04-11 01:00 2useven10 Fixed in Version => 3.0